lists.openwall.net   lists  /  announce  owl-users  owl-dev  john-users  john-dev  passwdqc-users  yescrypt  popa3d-users  /  oss-security  kernel-hardening  musl  sabotage  tlsify  passwords  /  crypt-dev  xvendor  /  Bugtraq  Full-Disclosure  linux-kernel  linux-netdev  linux-ext4  linux-hardening  linux-cve-announce  PHC 
Open Source and information security mailing list archives
 
Hash Suite: Windows password security audit tool. GUI, reports in PDF.
[<prev] [next>] [<thread-prev] [thread-next>] [day] [month] [year] [list]
Date:	Sat, 23 Apr 2011 18:15:43 +0200
From:	Cyril Brulebois <kibi@...ian.org>
To:	linux-kernel@...r.kernel.org
Cc:	trivial@...nel.org, Cyril Brulebois <kibi@...ian.org>
Subject: [PATCH 3/4] Documentation/00-INDEX.sh: add script to help keeping the index up-to-date

Signed-off-by: Cyril Brulebois <kibi@...ian.org>
---
 Documentation/00-INDEX.sh |   24 ++++++++++++++++++++++++
 1 files changed, 24 insertions(+), 0 deletions(-)
 create mode 100755 Documentation/00-INDEX.sh

diff --git a/Documentation/00-INDEX.sh b/Documentation/00-INDEX.sh
new file mode 100755
index 0000000..31d92d2
--- /dev/null
+++ b/Documentation/00-INDEX.sh
@@ -0,0 +1,24 @@
+#!/bin/sh
+# Copyright 2011 Cyril Brulebois <kibi@...ian.org>
+#
+# Try and keep the 00-INDEX file up-to-date.
+
+# List all entries below the 00-INDEX entry:
+documented=$(sed '1,/^00-INDEX$/d' 00-INDEX|grep -v '^\s'|sed 's,/$,,')
+
+# List all files/directories except 00-INDEX* and Makefile:
+present=$(ls -1|grep -v '^00-INDEX'|grep -v '^Makefile$')
+
+echo "Undocumented:"
+for i in $present; do
+  if ! echo "$documented"|grep -qs "\<$i\>"; then
+    echo "  $i"
+  fi
+done
+
+echo "Documented but missing:"
+for i in $documented; do
+  if [ ! -e $i ]; then
+    echo "  $i"
+  fi
+done
-- 
1.7.4.4

--
To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
the body of a message to majordomo@...r.kernel.org
More majordomo info at  http://vger.kernel.org/majordomo-info.html
Please read the FAQ at  http://www.tux.org/lkml/

Powered by blists - more mailing lists

Powered by Openwall GNU/*/Linux Powered by OpenVZ